/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "DuMux", "index.html", [
    [ "Introduction", "index.html", "index" ],
    [ "Installation", "installation.html", null ],
    [ "Getting started", "getting-started.html", null ],
    [ "Examples and tutorials", "examples-and-tutorials.html", null ],
    [ "Understanding DuMux", "understanding-dumux.html", [
      [ "Basic concepts", "basic-concepts.html", null ],
      [ "Runtime parameters", "runtime-parameters.html", null ],
      [ "Running in parallel", "running-in-parallel.html", null ],
      [ "Input and output formats", "input-and-output-formats.html", null ],
      [ "Directory structure", "directory-structure.html", null ],
      [ "Cheatsheet", "cheatsheet.html", null ]
    ] ],
    [ "Flow and transport in porous media", "flow-and-transport-in-porous-media.html", null ],
    [ "Python bindings", "@ref python-bindings", null ],
    [ "External libraries", "external-libraries.html", null ],
    [ "Developer documentation", "usergroup0.html", [
      [ "Dumux and Dune", "dumux-and-dune.html", null ],
      [ "Developing Dumux", "developing-dumux.html", null ],
      [ "Build doxygen documentation", "@ref building-the-documentation", null ],
      [ "Changing property name", "changing-property-name.html", null ],
      [ "Custom input data", "custom-input-data.html", null ],
      [ "Gmsh with ALUGrid", "gmsh-with-alugrid.html", null ],
      [ "Printing system matrix", "printing-system-matrix.html", null ],
      [ "Upgrading to Dumux 3", "upgrading-dumux-programs-to-version.html", null ]
    ] ],
    [ "Bibliography", "citelist.html", null ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Symbols", "functions_rela.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"@ref building-the-documentation",
"class_dumux_1_1_box_f_v_element_geometry_3_01_g_g_00_01true_01_4.html#ae7abd1ab977aea4d0c5ecc0797c077d8",
"class_dumux_1_1_c_c_mpfa_data_handle_bases_1_1_system_matrices_handle.html#a581879ae22134014a2de6e3bf71eb4d5",
"class_dumux_1_1_default_hyperelastic_spatial_params.html#a12d385cfafb6f9925bb39e79d34aefcd",
"class_dumux_1_1_energy_local_residual_implementation.html",
"class_dumux_1_1_extrusion.html",
"class_dumux_1_1_m_p_n_c_volume_variables_implementation_3_01_traits_00_01false_01_4.html#adec9eeae9f40cb508b49499e0dff836c",
"class_dumux_1_1_navier_stokes_momentum_problem_impl_3_01_type_tag_00_01_discretization_methods_1_1_c_v_f_e_3_01_d_m_01_4_01_4.html#a5c128c9179f983ce10e4f2eedf64ee9d",
"class_dumux_1_1_navier_stokes_residual_impl_3_01_type_tag_00_01_discretization_methods_1_1_staggered_01_4.html#abbf24539476be1c0cd08c8e3fef07d1c",
"class_dumux_1_1_par_m_t_jac.html#ac784e3f69420ada39f511390f380b591",
"class_dumux_1_1_pore_network_1_1_two_p_n_c_volume_variables.html#a089efd9f3ae8005f55e6e045903b9a70",
"class_dumux_1_1_simple_log_normal_distribution.html#a797c24963b61c5e2a9d530b98371eaf1",
"functions_type_e.html",
"namespace_dumux_1_1_detail.html#ae0507b75a7d72139dbc0ee689528e7b1",
"namespace_dumux_1_1_shallow_water.html",
"struct_dumux_1_1_detail_1_1_box_1_1_scv_corners_3_01_dune_1_1_geometry_types_1_1tetrahedron_01_4.html#a8b63508852082058e91a64f606f1dcc5",
"struct_dumux_1_1_detail_1_1_in_axis_velocities_3_01_scalar_00_011_01_4.html",
"struct_dumux_1_1_detail_1_1_p_q1_bubble_1_1_overlapping_scvf_corners.html",
"struct_dumux_1_1_discretization_methods_1_1_staggered.html#ae87353f83bb0866a0314661135090d4d",
"struct_dumux_1_1_intersection_policy_1_1_point_policy.html#a20be9ba5a8bd20aaa8b2d5ea42fe145b",
"struct_dumux_1_1_multi_domain_traits.html#a6219d33192641847103782303a498fe7",
"struct_dumux_1_1_properties_1_1_base_model_traits_3_01_type_tag_00_01_t_tag_1_1_three_p_three_c_01_4.html#a66516bbe7fc949fa286bf251636efee9",
"struct_dumux_1_1_properties_1_1_fluid_state_3_01_type_tag_00_01_t_tag_1_1_navier_stokes_01_4.html",
"struct_dumux_1_1_properties_1_1_flux_variables_cache_3_01_type_tag_00_01_t_tag_1_1_navier_stokes_mass_one_p_n_i_01_4_1_1type.html",
"struct_dumux_1_1_properties_1_1_heat_conduction_type_3_01_type_tag_00_01_t_tag_1_1_porous_medium_flow_01_4.html#a2d696ad85b4a55b49f89a5b8a5562cec",
"struct_dumux_1_1_properties_1_1_i_o_fields_3_01_type_tag_00_01_t_tag_1_1_three_p_water_oil_n_i_01_4.html#af171df0e62b789a9f512c8f848c74c37",
"struct_dumux_1_1_properties_1_1_local_residual_3_01_type_tag_00_01_t_tag_1_1_two_p_n_c_min_01_4.html",
"struct_dumux_1_1_properties_1_1_model_traits_3_01_type_tag_00_01_t_tag_1_1_three_p_01_4.html#a1ac7382d5e474e1c14c40db1758fedf1",
"struct_dumux_1_1_properties_1_1_secondary_interaction_volume_3_01_type_tag_00_01_t_tag_1_1_c_c_mpfa_model_01_4.html",
"struct_dumux_1_1_properties_1_1_t_tag_1_1_low_re_k_epsilon_n_c_n_i.html",
"struct_dumux_1_1_properties_1_1_t_tag_1_1_two_p_n_c_min.html#a7902a07f3768112e313675fc12044a5d",
"struct_dumux_1_1_properties_1_1_viscous_flux_type_3_01_type_tag_00_01_t_tag_1_1_shallow_water_01_4.html#a822b626bd12717a2488bb971bfd8f441",
"struct_dumux_1_1_properties_1_1_volume_variables_3_01_type_tag_00_01_t_tag_1_1_three_p_01_4.html#aad466e769ff1a0a6fa5938f41ec31cc8",
"struct_dumux_1_1_staggered_multi_domain_traits.html#a9acd1b999cb3a0920064933519ed309c"
];

var SYNCONMSG = 'click to disable panel synchronization';
var SYNCOFFMSG = 'click to enable panel synchronization';